body {
    /* padding-top: 56px; */
    /* Adjust based on your header height */
    background-color: whitesmoke;
    background-image: url('../images/combiOfAll-perfect-mini.png');
    background-size: cover; /* This ensures the image covers the entire element */
    background-position: center; /* This centers the image in the element */
    background-repeat: no-repeat; /* This stops the image from repeating */
}

a{
    text-decoration: none;
    color: inherit; 
    cursor: pointer;
}

header {
    position: relative;
    padding-top: 10px;
    padding-bottom: 0;
    background-color: lightblue;
}


.custom-icon {
    display: inline-block;
    width: 30px; /* Width of the icon */
    height: 2px; /* Height of a single stripe */
    background-color: #333; /* Color of the stripes */
    position: relative;
    top: -8px;
}

.custom-icon::before,
.custom-icon::after {
    content: "";
    position: absolute;
    left: 0;
    width: 100%;
    height: 2px; /* Height of a single stripe */
    background-color: #333; /* Color of the stripes */
    transition: all 0.3s;
}

.custom-icon::before {
    top: -8px;
}

.custom-icon::after {
    top: 8px;
}


.fixed-logo-size {
    max-width: 200px;
    height: auto;
}

hr{
    display: none;
}

hr:not([size]){
    height: auto;
}

@media (max-width: 720px) {
    .fixed-logo-size {
        max-width: 150px;
        height: auto;
    }
}

.nav-item-custom{
    margin: 7px auto;
}

.custom-link {
    /* Your custom styles here */
    text-decoration: none;
    color: #000; /* Example color */
    margin: 10px; /* Example padding */
    /* Add other styling as needed */
}

.custom-border {
    border-style: solid;
    border-width: 4px;
    border-image: linear-gradient(to top right, darkblue, lightblue) 1;
}

.gradient-hr {
    display: block;
    height: 4px !important;  /* Adjust the height of the hr as needed */
    border: none; /* Removes the default border */
    background: linear-gradient(to right, rgba(68, 255, 0, 0.989), rgb(0, 0, 255));
    /* Gradient from light blue to dark blue */
} 













.title-container {
    text-align: center;
    margin-bottom: 20px; /* Adjust space between the title and the content */
}

.box-container-laevad {
    position: relative;
    max-width: 600px;
    height: auto; 
    margin: 0 auto;
    text-align: center;
}



.image-box-laevad{
    max-width: 500px;
    height: 300px;
    overflow: hidden;
    width: 100%;
    justify-content: center;

}

@media (max-width: 786px) {
    .box-container-laevad {
        position: relative;
        max-width: 500px;
        height: auto; 
        margin: 0 auto;
        text-align: center;
    }
    .image-box-laevad{
        max-width: 500px;
        height: 250px;
        overflow: hidden;
        width: 100%;
        justify-content: center;
    
    }
}

.text-content {
    flex: 1;
    margin: 2px auto 10px 5%;
}




.box-container-paketid {
    position: relative;
    max-width: 300px;
    /* height: 400px;  */
    margin: 0 auto;
    text-align: center;
}

.image-box-paketid{
    max-width: 500px;
    height: 300px;
    overflow: hidden;
    width: 100%;
    justify-content: center;
}

.text-box-paketid{
    width: 300px;
    max-height: auto;
    overflow: hidden;
    /* transition: width 0.05s ease-out, height 0.3s ease-out, z-index 0.3s ease-out; */
    position: relative;

}

.list-unstyled-paketid {
    display: none;
}















/* UUDISED ALGUS */

.news-box{
    max-width: 60%;
    /* max-height: 250px; */
    width: 100%;
    /* padding: 2% 3% ; */
    margin-bottom: 5%;
    box-sizing: border-box;
    /* border: 1px solid #ccc; */
    overflow: hidden;
}
 @media screen and (max-width: 768px) {
    .news-box{
        max-width: 100%;
        /* max-height: 250px; */
        width: 100%;
        /* padding: 2% 3% ; */
        margin-bottom: 5%;
        box-sizing: border-box;
        /* border: 1px solid #ccc; */
        overflow: hidden;
    }
    
    
 }

.pakkumised{
    max-width: 100%;
}

/* UUDISED LÕPP */


/* PILETITE MÜÜK ALGUS */
.ticket-box {
    max-width: 400px;
    max-height: 300px;
    width: 100%;
    padding: 2% 3% ;
    margin-bottom: 5%;
    box-sizing: border-box;
    /* border: 1px solid #ccc; */
    overflow: hidden;

}
.ticket-box > h3 {
    margin-bottom: 20px;
}
.ticket-box a{
    text-decoration: none;
    text-align: center;
    cursor: pointer;
    color: darkblue;
    font-weight: bold;
}
.ticket-box a:hover {
    text-decoration: none;
    cursor: pointer;
}
.ticket-content {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}
.ticket-link {
    padding: 10px;
    background-color: #3498db;
    color: #fff;
    
}
.ticket-link:hover {
    background-color: #2980b9;
    text-decoration: none;
}

.ticket-p {
    padding: 5% 0 0;
    margin-top: 2%;
}
.ticket-p-1 {
    padding: 0 0 5%;

}
@media screen and (max-width: 768px) {
    .ticket-box {
        max-width: 100%;
        max-height: 325px;
        width: 100%;
        padding: 2% 3% ;
        margin-bottom: 5%;
        box-sizing: border-box;
        /* border: 1px solid #ccc; */
        overflow: hidden;
    }
    .ticket-content {
        display: flex;
    }
    .ticket-link {
        padding: 10px;
    }
}

@media screen and (max-width: 400px) {
    .ticket-content{
        /* display: contents; */
    }
    .ticket-buy{
        margin: 20px auto;
    }
    
}
/* PILETITE MÜÜK LÕPP */



.content {
    padding: 56px 15% 56px;
}

.content-row {
    display: flex;
    justify-content: space-between;
    margin: 0 -10px;
}

.section {
    width: 30%; 
    margin: 10px;
}

/* Media query for medium screens */

@media screen and (max-width: 1300px) {
    .content {
        padding: 56px 7% 56px;
    }
}
@media screen and (max-width: 1050px) {
    .content {
        padding: 56px 2% 56px;
    }
}


/* Media query for smaller screens */
@media screen and (max-width: 930px) {
    .content-row{
        display: contents;
    }
    .section {
        width: 100%; /* Make each section take up the full width */
        margin: 0;
    }
    
}

/* Media query for smaller screens */
@media screen and (max-width: 768px) {
    .content {
        padding: 56px 2% 56px;
    }
    .content-row{
        display: contents;
    }
    .section {
        width: 100%; /* Make each section take up the full width */
        margin: 0;
    }
    
}

.box-container {
    position: relative;
    max-width: 300px;
    margin: 0 auto;
    text-align: center;
}
@media screen and (max-width: 768px) {
    .box-container{
        max-width: 100%;
    }
}

/* Start of image pictures */

.image-switcher {
    text-align: center;
    max-width: 500px;
}

.first-image{
    width: 100%;
}
.laevad{
    width: 100%;
}

.thumbnails-container {
    display: flex;
    justify-content: center; /* Center thumbnails */
    flex-wrap: wrap; /* Wrap thumbnails to next line */
    max-width: 500px; /* Adjust as needed */
    margin: 0 auto; /* Centering */
}


.thumbnail {
    cursor: pointer;
    margin: 0 2px 2px;
    border: 2px solid transparent;
    display: inline-block;
    width: auto; /* Allow the image size to determine the width */
    max-width: 20%; /* Max-width as a fallback */
}

.thumbnail:hover {
    border-color: blue; /* Highlight on hover */
}

/* END OF IMAGE PICTURES */


.text-box {
}

.text-box:hover {

}



/* start of get in contact with us */


@media (min-width: 992px) { /* Adjust for large devices */
    .container-custom {
        max-width: 60%;
    }
}

.required-indicator {
    color: red; /* Red color for the indicator */
    margin-left: 3px; /* Space between label and indicator */
}

.info-icon-general {
    display: inline-block;
    margin-left: 5px;
    cursor: pointer;
    border-bottom: 1px dotted; /* Underline to indicate it's interactive */
}

.info-icon {
    display: inline-block;
    margin-left: 5px;
    cursor: pointer;
    border-bottom: 1px dotted; /* Underline to indicate it's interactive */
}

/* END OF GET IN CONTACT WITH US */








































/* start of footer */


footer {
    padding-left: 20%;
    padding-right: 20%;
    margin-bottom: 0;
    padding-bottom: 0;
    background-color: lightblue;
}

.footer-logo {
    width: 100%;
}

.footer-hr-mini{
    display: none;
}

.footer-custom-border {
    display: block;
    /* border-style: solid;
    border-width: 4px; 
    border-image: linear-gradient(to top right, darkblue, lightblue) 1; */
}

@media (max-width: 720px) {
    footer {
        padding-left: 5%;
        padding-right: 5%;
        padding: 2% 5% 5%;
    }
    .logo-container{
        text-align: center;
    }

    .footer-logo{
        display: inline-block;
        max-width: 50%;
    }

    .list-unstyled {
        display: none;
    }

    .list-unstyled.show {
        display: block;
    }
    .footer-custom-border {
        display: block;
        border-style: solid;
        border-width: 4px; /* You can adjust this between 2px to 4px */
        border-image: linear-gradient(to top right, darkblue, lightblue) 1;
        margin: 1px 0;
    }
}

.contact-info p{
    padding: 0;
    margin: 0;
}


@media (max-width: 768px) {
    .list-toggler + ul {
        display: none;
    }
    .footer-hr-mini{
        display: none;
        width: 10px;
        height: 3px !important; /* Adjust the height of the hr as needed */
        border: none; /* Removes the default border */
        background: linear-gradient(to right, darkblue, purple);
        /* Gradient from light blue to dark blue */
        margin: 2px auto;
    }
    .gradient-hr-small{
        display: block;
        height: 3px !important; /* Adjust the height of the hr as needed */
        border: none; /* Removes the default border */
        background: linear-gradient(to right, darkblue, purple);
        /* Gradient from light blue to dark blue */
        width: 100%;
    }
    .footer-logo{
        display: inline-block;
        max-width: 50%;
        margin: 15px 30% auto 30%;
    }
}

.creator{
    margin-bottom: 0;
    padding-bottom: 0;
    opacity: 0.7;
}
.creator-hr{
    height: 1px !important;
}

/* start of error handling */


.error-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}
.error-404 {
    font-size: 8rem;
    margin: 8% auto 2%;
    background: linear-gradient(to right, #000280, #FFA500);
    -webkit-background-clip: text;
    background-clip: text;
    color: transparent;
}
.error-message {
    font-size: 1.5rem;
    margin: 2% auto 4%;
    background: linear-gradient(to right, #FFA500, #800080);
    -webkit-background-clip: text;
    background-clip: text;
    color: transparent;
}
.return{
    font-size: 1.5rem;
    font-weight: bold;
    margin: 0 auto 4%;
}

/* END OF ERROR HANDLING */


















.feedback-message {
    color: red; /* Or any styling of your choice */
    margin: 10px 0;
    padding: 10px;
    border: 1px solid #ccc;
}